#ifndef KEY_PICKUP_HPP
#define KEY_PICKUP_HPP

#include "godot_cpp/classes/area3d.hpp"

namespace godot {
class KeyPickup : public Area3D {
    GDCLASS(KeyPickup, Area3D);
    static void _bind_methods();
public:
    virtual void _enter_tree() override;
protected:
    void on_body_entered(Node *node);
};
}

#endif // !KEY_PICKUP_HPP
